## Create Inventory Attribute

### cURL

```bash
curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/attribute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "code": "on-hand"
}
'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/attribute"

payload = { "code": "on-hand" }
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({code: 'on-hand'})
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/attribute', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

- **200** - Successful request, returns the created inventory attribute.
- **400** - Invalid request payload or parameter.
- **409** - Entered code is a duplicated code.
- **500** - An internal error occurred. If the issue persists please contact support@fabric.inc.

### Sample Response

#### Successful Response
```json
{
  "id": "622786ae0bdb19221a24fb61",
  "code": "on-hand"
}
```

#### Error Responses
##### Invalid Request
```json
{
  "message": "Invalid request payload or parameter"
}
```

##### Duplicated Code
```json
{
  "message": "Entered code is a duplicated code"
}
```

##### Internal Error
```json
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorizations
- **Authorization**: Required Bearer token in the header.

### Headers
- **x-site-context**: A JSON object containing context information, required for the request.

### Body
- **code**: Unique identifier for the inventory attribute (e.g. "on-hand").
